Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.pas.domain
Class Room

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.pas.domain.Room

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class Room

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`Room()`

Method Summary
`int` | `countDisallowedAdmissionPart(AdmissionPart admissionPart)`
`int` | `countDisallowedPatientGender(Patient patient)`
`int` | `countMissingPreferredRoomProperties(Patient patient)`
`int` | `countMissingRequiredRoomProperties(Patient patient)`
`int` | `getCapacity()`
`Department` | `getDepartment()`
`GenderLimitation` | `getGenderLimitation()`
`String` | `getName()`
`List<RoomEquipment>` | `getRoomEquipmentList()`
`List<RoomSpecialism>` | `getRoomSpecialismList()`
`void` | `setCapacity(int capacity)`
`void` | `setDepartment(Department department)`
`void` | `setGenderLimitation(GenderLimitation genderLimitation)`
`void` | `setName(String name)`
`void` | `setRoomEquipmentList(List<RoomEquipment> roomEquipmentList)`
`void` | `setRoomSpecialismList(List<RoomSpecialism> roomSpecialismList)`
`String` | `toString()`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Room

    public Room()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getDepartment

    public Department getDepartment()

### setDepartment

    public void setDepartment(Department department)

### getCapacity

    public int getCapacity()

### setCapacity

    public void setCapacity(int capacity)

### getGenderLimitation

    public GenderLimitation getGenderLimitation()

### setGenderLimitation

    public void setGenderLimitation(GenderLimitation genderLimitation)

### getRoomSpecialismList

    public List<RoomSpecialism> getRoomSpecialismList()

### setRoomSpecialismList

    public void setRoomSpecialismList(List<RoomSpecialism> roomSpecialismList)

### getRoomEquipmentList

    public List<RoomEquipment> getRoomEquipmentList()

### setRoomEquipmentList

    public void setRoomEquipmentList(List<RoomEquipment> roomEquipmentList)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

### countDisallowedAdmissionPart

    public int countDisallowedAdmissionPart(AdmissionPart admissionPart)

### countDisallowedPatientGender

    public int countDisallowedPatientGender(Patient patient)

### countMissingRequiredRoomProperties

    public int countMissingRequiredRoomProperties(Patient patient)

### countMissingPreferredRoomProperties

    public int countMissingPreferredRoomProperties(Patient patient)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.